#!/usr/bin/perl

use KAMXbase;
use Mysql;

################
#Check Args    #
################
if ($#ARGV < 1) {
	print "CHECK IMPORT DBF to SQL v0.50\nERROR: Not Enough Arguments!\n\nArgument 1: DBF File to Check\nArgument 2: Database to Check\nArgument 3: Table to Check\n";
	exit;
}

################
#Process       #
################
process($ARGV[0], $ARGV[1], $ARGV[2]);  #pass filename and database to add to

sub process {
	local($file_to_process, $database2, $table) = @_;

	$database = new KAMXbase;

	$database->open_dbf("$file_to_process") || die "Can't open $file_to_process!\n";
	$end=$database->lastrec;
        #print $database->dbf_stat;

	$dbh = Mysql->connect('sql', "$database2",'httpd','') || die("connect died because of: $Mysql::db_errstr");

	$sth = $dbh->query("select count(*) from $table");
	$numrecords = $sth->fetchrow;

	if (length($file_to_process) > 25) {
		$file_to_process = "...".substr($file_to_process, -25);
	}

	print "DATABASE:\t$file_to_process -- Records: $end \t\t$table -- Records: $numrecords";

	if ($end == $numrecords) {
		print "\t[OK]\n";
	} else {
		print "\t[ERROR]\n";

	}
}
